Bug 27659 - iptables init script uses ipchains, bad options for iptables-restore
Summary: iptables init script uses ipchains, bad options for iptables-restore
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-14 21:36 UTC by Derrick Hamner
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-16 01:11:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derrick Hamner 2001-02-14 21:36:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


The iptables init script uses ipchains to flush the existing chains in the 
start sequence. ipchains does not work with kernel 2.4. The init script 
also calls iptables-restore -f -p. iptables-restore does not accept those 
options.

Reproducible: Always
Steps to Reproduce:
1.touch /etc/sysconfig/iptables
2.service start iptables
3.
	

Actual Results:  
ipchains: Incompatible with this kernel
/sbin/iptables-restore: invalid option -- p
/sbin/iptables-restore: invalid option -- f

Expected Results:  iptables should be used to flush existing chains in the 
start sequence. iptables-restore should not be passed any options.

Comment 1 Glen Foster 2001-02-16 01:11:53 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 2 Karsten Hopp 2001-02-19 16:56:07 UTC
Fixed in iptables-1.2.0-8
ipchains-restore will be called with paramater -c to save counters.


Note You need to log in before you can comment on or make changes to this bug.